package sgc.portal.base;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.SgcPortalAttributes;
import sgc.portal.base.util.SessionUtil;
import sgc.portal.com.sym.user.model.UserDetails;

@Getter
@Setter
public class BaseSearchDto {
    private final String cmpnCd;
    private final String deptCd;
    private final String userId;
    private final String empNo;
    private final String psnlinfoIqryn;

    public BaseSearchDto() {
        UserDetails userDetails = SessionUtil.getUserDetails();
        this.cmpnCd = userDetails.getCmpnCd();
        this.deptCd = userDetails.getDeptCd();
        this.userId = userDetails.getUserId();
        this.empNo = userDetails.getEmpNo();
        this.psnlinfoIqryn = userDetails.getPsnlinfoIqryn();
    }
}
